<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_BookingPrice StructType
 * @subpackage Structs
 */
class JP_BookingPrice extends AbstractStructBase
{
    /**
     * The PriceRange
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PriceRange
     */
    public $PriceRange;
    /**
     * Constructor method for JP_BookingPrice
     * @uses JP_BookingPrice::setPriceRange()
     * @param \StructType\JP_PriceRange $priceRange
     */
    public function __construct(\StructType\JP_PriceRange $priceRange = null)
    {
        $this
            ->setPriceRange($priceRange);
    }
    /**
     * Get PriceRange value
     * @return \StructType\JP_PriceRange|null
     */
    public function getPriceRange()
    {
        return $this->PriceRange;
    }
    /**
     * Set PriceRange value
     * @param \StructType\JP_PriceRange $priceRange
     * @return \StructType\JP_BookingPrice
     */
    public function setPriceRange(\StructType\JP_PriceRange $priceRange = null)
    {
        $this->PriceRange = $priceRange;
        return $this;
    }
}
